<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FindBugsExtension (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FindBugsExtension (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugsPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/FindBugsExtension.html" target="_top">Frames</a></li>
<li><a href="FindBugsExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins.quality</div>
<h2 title="Class FindBugsExtension" class="title">Class FindBugsExtension</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">org.gradle.api.plugins.quality.CodeQualityExtension</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.quality.FindBugsExtension</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">FindBugsExtension</span>
extends <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></pre>
<div class="block">Configuration options for the FindBugs plugin. All options have sensible defaults.
 See the <a href="http://findbugs.sourceforge.net/manual/">FindBugs Manual</a> for additional information
 on these options.

 <p>Below is a full configuration example. Since all properties have sensible defaults,
 typically only selected properties will be configured.

 <pre class='autoTested'>
     apply plugin: "java"
     apply plugin: "findbugs"

     findbugs {
         toolVersion = "2.0.1"
         sourceSets = [sourceSets.main]
         ignoreFailures = true
         reportsDir = file("$project.buildDir/findbugsReports")
         effort = "max"
         showProgress = true
         reportLevel = "high"
         visitors = ["FindSqlInjection", "SwitchFallthrough"]
         omitVisitors = ["FindNonShortCircuit"]
         includeFilter = file("$rootProject.projectDir/config/findbugs/includeFilter.xml")
         excludeFilter = file("$rootProject.projectDir/config/findbugs/excludeFilter.xml")
         excludeBugsFilter = file("$rootProject.projectDir/config/findbugs/excludeBugsFilter.xml")
     }
 </pre></div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../org/gradle/api/plugins/quality/FindBugsPlugin.html" title="class in org.gradle.api.plugins.quality"><code>FindBugsPlugin</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#FindBugsExtension(org.gradle.api.Project)">FindBugsExtension</a></strong>(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getEffort()">getEffort</a></strong>()</code>
<div class="block">The analysis effort level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getExcludeBugsFilter()">getExcludeBugsFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getExcludeBugsFilterConfig()">getExcludeBugsFilterConfig</a></strong>()</code>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getExcludeFilter()">getExcludeFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getExcludeFilterConfig()">getExcludeFilterConfig</a></strong>()</code>
<div class="block">A filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getExtraArgs()">getExtraArgs</a></strong>()</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getIncludeFilter()">getIncludeFilter</a></strong>()</code>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getIncludeFilterConfig()">getIncludeFilterConfig</a></strong>()</code>
<div class="block">A filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getOmitVisitors()">getOmitVisitors</a></strong>()</code>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getReportLevel()">getReportLevel</a></strong>()</code>
<div class="block">The priority threshold for reporting bugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#getVisitors()">getVisitors</a></strong>()</code>
<div class="block">The bug detectors which should be run.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#isShowProgress()">isShowProgress</a></strong>()</code>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setEffort(java.lang.String)">setEffort</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;effort)</code>
<div class="block">The analysis effort level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setExcludeBugsFilter(java.io.File)">setExcludeBugsFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setExcludeBugsFilterConfig(org.gradle.api.resources.TextResource)">setExcludeBugsFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeBugsFilterConfig)</code>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setExcludeFilter(java.io.File)">setExcludeFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setExcludeFilterConfig(org.gradle.api.resources.TextResource)">setExcludeFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeFilterConfig)</code>
<div class="block">A filter specifying bugs to exclude from being reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setExtraArgs(java.util.Collection)">setExtraArgs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;extraArgs)</code>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setIncludeFilter(java.io.File)">setIncludeFilter</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</code>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setIncludeFilterConfig(org.gradle.api.resources.TextResource)">setIncludeFilterConfig</a></strong>(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;includeFilterConfig)</code>
<div class="block">A filter specifying which bugs are reported.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setOmitVisitors(java.util.Collection)">setOmitVisitors</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;omitVisitors)</code>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setReportLevel(java.lang.String)">setReportLevel</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportLevel)</code>
<div class="block">The priority threshold for reporting bugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setShowProgress(boolean)">setShowProgress</a></strong>(boolean&nbsp;showProgress)</code>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html#setVisitors(java.util.Collection)">setVisitors</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;visitors)</code>
<div class="block">The bug detectors which should be run.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.plugins.quality.CodeQualityExtension">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.plugins.quality.<a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></h3>
<code><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getReportsDir()">getReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getSourceSets()">getSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#getToolVersion()">getToolVersion</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#isIgnoreFailures()">isIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setIgnoreFailures(boolean)">setIgnoreFailures</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setReportsDir(java.io.File)">setReportsDir</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setSourceSets(java.util.Collection)">setSourceSets</a>, <a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html#setToolVersion(java.lang.String)">setToolVersion</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FindBugsExtension(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FindBugsExtension</h4>
<pre>public&nbsp;FindBugsExtension(<a href="../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getEffort()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEffort</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEffort()</pre>
<div class="block">The analysis effort level.
 The value specified should be one of <code>min</code>, <code>default</code>, or <code>max</code>.
 Higher levels increase precision and find more bugs at the expense of running time and memory consumption.</div>
</li>
</ul>
<a name="setEffort(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEffort</h4>
<pre>public&nbsp;void&nbsp;setEffort(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;effort)</pre>
<div class="block">The analysis effort level.
 The value specified should be one of <code>min</code>, <code>default</code>, or <code>max</code>.
 Higher levels increase precision and find more bugs at the expense of running time and memory consumption.</div>
</li>
</ul>
<a name="getReportLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReportLevel</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getReportLevel()</pre>
<div class="block">The priority threshold for reporting bugs.
 If set to <code>low</code>, all bugs are reported.
 If set to <code>medium</code> (the default), medium and high priority bugs are reported.
 If set to <code>high</code>, only high priority bugs are reported.</div>
</li>
</ul>
<a name="setReportLevel(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReportLevel</h4>
<pre>public&nbsp;void&nbsp;setReportLevel(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;reportLevel)</pre>
<div class="block">The priority threshold for reporting bugs.
 If set to <code>low</code>, all bugs are reported.
 If set to <code>medium</code> (the default), medium and high priority bugs are reported.
 If set to <code>high</code>, only high priority bugs are reported.</div>
</li>
</ul>
<a name="getVisitors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVisitors</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getVisitors()</pre>
<div class="block">The bug detectors which should be run.
 The bug detectors are specified by their class names, without any package qualification.
 By default, all detectors which are not disabled by default are run.</div>
</li>
</ul>
<a name="setVisitors(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVisitors</h4>
<pre>public&nbsp;void&nbsp;setVisitors(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;visitors)</pre>
<div class="block">The bug detectors which should be run.
 The bug detectors are specified by their class names, without any package qualification.
 By default, all detectors which are not disabled by default are run.</div>
</li>
</ul>
<a name="getOmitVisitors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOmitVisitors</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getOmitVisitors()</pre>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.
 By default, no visitors are omitted.</div>
</li>
</ul>
<a name="setOmitVisitors(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOmitVisitors</h4>
<pre>public&nbsp;void&nbsp;setOmitVisitors(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;omitVisitors)</pre>
<div class="block">Similar to <code>visitors</code> except that it specifies bug detectors which should not be run.
 By default, no visitors are omitted.</div>
</li>
</ul>
<a name="getIncludeFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getIncludeFilterConfig()</pre>
<div class="block">A filter specifying which bugs are reported. Replaces the <code>includeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setIncludeFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setIncludeFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;includeFilterConfig)</pre>
<div class="block">A filter specifying which bugs are reported. Replaces the <code>includeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getIncludeFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIncludeFilter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getIncludeFilter()</pre>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</li>
</ul>
<a name="setIncludeFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeFilter</h4>
<pre>public&nbsp;void&nbsp;setIncludeFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying which bugs are reported.</div>
</li>
</ul>
<a name="getExcludeFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getExcludeFilterConfig()</pre>
<div class="block">A filter specifying bugs to exclude from being reported. Replaces the <code>excludeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="setExcludeFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setExcludeFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeFilterConfig)</pre>
<div class="block">A filter specifying bugs to exclude from being reported. Replaces the <code>excludeFilter</code> property.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.2</dd></dl>
</li>
</ul>
<a name="getExcludeFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeFilter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getExcludeFilter()</pre>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</li>
</ul>
<a name="setExcludeFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeFilter</h4>
<pre>public&nbsp;void&nbsp;setExcludeFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying bugs to exclude from being reported.</div>
</li>
</ul>
<a name="getExcludeBugsFilterConfig()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeBugsFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;getExcludeBugsFilterConfig()</pre>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
<a name="setExcludeBugsFilterConfig(org.gradle.api.resources.TextResource)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeBugsFilterConfig</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setExcludeBugsFilterConfig(<a href="../../../../../org/gradle/api/resources/TextResource.html" title="interface in org.gradle.api.resources">TextResource</a>&nbsp;excludeBugsFilterConfig)</pre>
<div class="block">A filter specifying baseline bugs to exclude from being reported.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
<a name="getExcludeBugsFilter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeBugsFilter</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getExcludeBugsFilter()</pre>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</li>
</ul>
<a name="setExcludeBugsFilter(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeBugsFilter</h4>
<pre>public&nbsp;void&nbsp;setExcludeBugsFilter(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;filter)</pre>
<div class="block">The filename of a filter specifying baseline bugs to exclude from being reported.</div>
</li>
</ul>
<a name="getExtraArgs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtraArgs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getExtraArgs()</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.
 <p>
 Extra arguments are passed to FindBugs after the arguments Gradle understands (like <code>effort</code> but before the list of classes to analyze.
 This should only be used for arguments that cannot be provided by Gradle directly.
 Gradle does not try to interpret or validate the arguments before passing them to FindBugs.
 <p>
 See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="setExtraArgs(java.util.Collection)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtraArgs</h4>
<pre>public&nbsp;void&nbsp;setExtraArgs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;extraArgs)</pre>
<div class="block">Any additional arguments (not covered here more explicitly like <code>effort</code>) to be passed along to FindBugs.
 <p>
 Extra arguments are passed to FindBugs after the arguments Gradle understands (like <code>effort</code> but before the list of classes to analyze.
 This should only be used for arguments that cannot be provided by Gradle directly.
 Gradle does not try to interpret or validate the arguments before passing them to FindBugs.
 <p>
 See the <a href="https://code.google.com/p/findbugs/source/browse/findbugs/src/java/edu/umd/cs/findbugs/TextUICommandLine.java">FindBugs
 TextUICommandLine source</a> for available options.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.6</dd></dl>
</li>
</ul>
<a name="isShowProgress()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isShowProgress</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;boolean&nbsp;isShowProgress()</pre>
<div class="block">Indicates whether analysis progress should be rendered on standard output. Defaults to false.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
<a name="setShowProgress(boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setShowProgress</h4>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setShowProgress(boolean&nbsp;showProgress)</pre>
<div class="block">Indicates whether analysis progress should be rendered on standard output.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.2</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/api/plugins/quality/FindBugsPlugin.html" title="class in org.gradle.api.plugins.quality"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/FindBugsExtension.html" target="_top">Frames</a></li>
<li><a href="FindBugsExtension.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
